Debian Bug report logs - #575913
python-rpy2: ImportError when looking for libR.so

version graph

Package: r-base; Maintainer for r-base is Dirk Eddelbuettel <edd@debian.org>; Source for r-base is src:r-base.

Reported by: Emmanuel Bastien <bastien_emmanuel@yahoo.fr>

Date: Tue, 30 Mar 2010 12:18:01 UTC

Severity: normal

Found in version rpy2/2.1.0~20100314-1

Fixed in version r-base/2.11.0~20100402-1

Done: Dirk Eddelbuettel <edd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#575913; Package python-rpy2. (Tue, 30 Mar 2010 12:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Bastien <bastien_emmanuel@yahoo.fr>:
New Bug report received and forwarded. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Tue, 30 Mar 2010 12:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Emmanuel Bastien <bastien_emmanuel@yahoo.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-rpy2: ImportError when looking for libR.so
Date: Tue, 30 Mar 2010 14:11:58 +0200
Package: python-rpy2
Version: 2.1.0~20100314-1
Severity: normal
Tags: squeeze

Hi,
On a fresh install of python-rpy2 from Squeeze, the R shared library
is not found:

Python 2.5.5 (r255:77872, Feb  2 2010, 00:25:36)
[GCC 4.4.3] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import rpy2.robjects as ro
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.5/site-packages/rpy2/robjects/__init__.py",
line 12, in <module>
    import rpy2.rinterface as rinterface
  File "/usr/lib/python2.5/site-packages/rpy2/rinterface/__init__.py",
line 75, in <module>
    from rpy2.rinterface.rinterface import *
ImportError: libR.so: cannot open shared object file: No such file or directory

To work around this problem, I had to feed ldconfig with the
/usr/lib64/R/lib path by creating a file R-x86_64.conf in /etc/ld.so.conf.d.

-- Emmanuel




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#575913; Package python-rpy2. (Thu, 01 Apr 2010 15:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. (Thu, 01 Apr 2010 15:33:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Emmanuel Bastien <bastien_emmanuel@yahoo.fr>, 575913@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#575913: python-rpy2: ImportError when looking for libR.so
Date: Thu, 1 Apr 2010 10:19:57 -0500
On 30 March 2010 at 14:11, Emmanuel Bastien wrote:
| Hi,
| On a fresh install of python-rpy2 from Squeeze, the R shared library
| is not found:
| 
| Python 2.5.5 (r255:77872, Feb  2 2010, 00:25:36)
| [GCC 4.4.3] on linux2
| Type "help", "copyright", "credits" or "license" for more information.
| >>> import rpy2.robjects as ro
| Traceback (most recent call last):
|   File "<stdin>", line 1, in <module>
|   File "/usr/lib/python2.5/site-packages/rpy2/robjects/__init__.py",
| line 12, in <module>
|     import rpy2.rinterface as rinterface
|   File "/usr/lib/python2.5/site-packages/rpy2/rinterface/__init__.py",
| line 75, in <module>
|     from rpy2.rinterface.rinterface import *
| ImportError: libR.so: cannot open shared object file: No such file or directory
| 
| To work around this problem, I had to feed ldconfig with the
| /usr/lib64/R/lib path by creating a file R-x86_64.conf in /etc/ld.so.conf.d.

I actually had a similar issue on a machine of mine and solved it the same
way. I will look at this again when I start preparing R 2.11 pre-releases in
the next few days. 

I disabled this in Sep 2009 as Debian Policy now discourages these files.
But it breaks uses such as RPy or my own Rcpp and littler.  I may need to
work on getting an exception for this.

Dirk

-- 
  Registration is open for the 2nd International conference R / Finance 2010
  See http://www.RinFinance.com for details, and see you in Chicago in April!




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#575913; Package python-rpy2. (Thu, 01 Apr 2010 15:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. (Thu, 01 Apr 2010 15:33:07 GMT) Full text and rfc822 format available.

Reply sent to Dirk Eddelbuettel <edd@debian.org>:
You have taken responsibility. (Sun, 04 Apr 2010 09:18:06 GMT) Full text and rfc822 format available.

Notification sent to Emmanuel Bastien <bastien_emmanuel@yahoo.fr>:
Bug acknowledged by developer. (Sun, 04 Apr 2010 09:18:06 GMT) Full text and rfc822 format available.

Message #20 received at 575913-close@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: 575913-close@bugs.debian.org
Subject: Bug#575913: fixed in r-base 2.11.0~20100402-1
Date: Sun, 04 Apr 2010 09:10:37 +0000
Source: r-base
Source-Version: 2.11.0~20100402-1

We believe that the bug you reported is fixed in the latest version of
r-base, which is due to be installed in the Debian FTP archive:

r-base-core-dbg_2.11.0~20100402-1_i386.deb
  to main/r/r-base/r-base-core-dbg_2.11.0~20100402-1_i386.deb
r-base-core_2.11.0~20100402-1_i386.deb
  to main/r/r-base/r-base-core_2.11.0~20100402-1_i386.deb
r-base-dev_2.11.0~20100402-1_all.deb
  to main/r/r-base/r-base-dev_2.11.0~20100402-1_all.deb
r-base-html_2.11.0~20100402-1_all.deb
  to main/r/r-base/r-base-html_2.11.0~20100402-1_all.deb
r-base_2.11.0~20100402-1.diff.gz
  to main/r/r-base/r-base_2.11.0~20100402-1.diff.gz
r-base_2.11.0~20100402-1.dsc
  to main/r/r-base/r-base_2.11.0~20100402-1.dsc
r-base_2.11.0~20100402-1_all.deb
  to main/r/r-base/r-base_2.11.0~20100402-1_all.deb
r-base_2.11.0~20100402.orig.tar.gz
  to main/r/r-base/r-base_2.11.0~20100402.orig.tar.gz
r-doc-html_2.11.0~20100402-1_all.deb
  to main/r/r-base/r-doc-html_2.11.0~20100402-1_all.deb
r-doc-info_2.11.0~20100402-1_all.deb
  to main/r/r-base/r-doc-info_2.11.0~20100402-1_all.deb
r-doc-pdf_2.11.0~20100402-1_all.deb
  to main/r/r-base/r-doc-pdf_2.11.0~20100402-1_all.deb
r-mathlib_2.11.0~20100402-1_i386.deb
  to main/r/r-base/r-mathlib_2.11.0~20100402-1_i386.deb
r-recommended_2.11.0~20100402-1_all.deb
  to main/r/r-base/r-recommended_2.11.0~20100402-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 575913@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dirk Eddelbuettel <edd@debian.org> (supplier of updated r-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 03 Apr 2010 08:44:29 -0500
Source: r-base
Binary: r-base r-base-core r-base-dev r-mathlib r-base-html r-doc-pdf r-doc-html r-doc-info r-recommended r-base-core-dbg
Architecture: source i386 all
Version: 2.11.0~20100402-1
Distribution: unstable
Urgency: low
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Changed-By: Dirk Eddelbuettel <edd@debian.org>
Description: 
 r-base     - GNU R statistical computation and graphics system
 r-base-core - GNU R core of statistical computation and graphics system
 r-base-core-dbg - GNU R debug symbols for statistical comp. language and environmen
 r-base-dev - GNU R installation of auxiliary GNU R packages
 r-base-html - GNU R html docs for statistical computing system functions
 r-doc-html - GNU R html manuals for statistical computing system
 r-doc-info - GNU R info manuals statistical computing system
 r-doc-pdf  - GNU R pdf manuals for statistical computing system
 r-mathlib  - GNU R standalone mathematics library
 r-recommended - GNU R collection of recommended packages [metapackage]
Closes: 563234 575913
Changes: 
 r-base (2.11.0~20100402-1) unstable; urgency=low
 .
   * Initial alpha release (r51564) of R 2.11.0 expected for April 22
 .
   * debian/control: Fix typo / editing mistake in Description for r-base
 							(Closes: #563234)
 .
   * debian/rules: Add softlink from /usr/lib/R/lib/libR.so into /usr/lib
     to make the R library visible as /etc/ld.so.conf.d/ is no longer used
 							(Closes: #575913)
 .
   * debian/control: Set Standards-Version: to current version
Checksums-Sha1: 
 f1baae46b0f72780f6533c4989a58e3c8dc02a4b 1788 r-base_2.11.0~20100402-1.dsc
 2c4de4c650a1cd1fe1d91f5a9a699b5e8a72260c 19753077 r-base_2.11.0~20100402.orig.tar.gz
 7f4405feab511fa63ce29f773be51a79de51c842 68090 r-base_2.11.0~20100402-1.diff.gz
 3c6ce3bf42b77e0c5fa83011a978df61ebc66922 13588050 r-base-core_2.11.0~20100402-1_i386.deb
 ad5c94e9a6b4e90ab741046308a78ab4fa5fec07 548690 r-mathlib_2.11.0~20100402-1_i386.deb
 43d96635bd5b1efb25a77c8050bfee101c73f741 2415648 r-base-core-dbg_2.11.0~20100402-1_i386.deb
 19747ce59dec938faf71a0cf443fbc81d756b0b3 33522 r-base_2.11.0~20100402-1_all.deb
 85b61e37def3e19a7a01a775eebc1f3dd33f0907 3504 r-base-dev_2.11.0~20100402-1_all.deb
 93a69f79b6c4643cfd200abe8b5404b261869abd 82550 r-base-html_2.11.0~20100402-1_all.deb
 9a4ef84ff14eeedef7dd8b5c080a415f4f2fbce6 7749426 r-doc-pdf_2.11.0~20100402-1_all.deb
 f091551ef649a175ecd6825340a72afae72c2ef2 581140 r-doc-html_2.11.0~20100402-1_all.deb
 5f87b0fb65993d7b250ecf05949de76d78754894 498458 r-doc-info_2.11.0~20100402-1_all.deb
 da40d816b294723416624efd10e800db50267af3 2670 r-recommended_2.11.0~20100402-1_all.deb
Checksums-Sha256: 
 a96f78dcdbf1c386bea6ca99e0c6af740d0f5754c3e444b30f8458d31946bcac 1788 r-base_2.11.0~20100402-1.dsc
 a16042d355c77ae8a8d9f9412cd14dfec0a5be717821752e2f1fcf00841e2958 19753077 r-base_2.11.0~20100402.orig.tar.gz
 14b3b97d4eefc025ffa335818427f9bc96f1b45e3e39d25a94e0ef6af989ace6 68090 r-base_2.11.0~20100402-1.diff.gz
 46ac6b8306d3fb9845d862be18db8496a04a1abf0b7bb1908f4a06fffdd6dc01 13588050 r-base-core_2.11.0~20100402-1_i386.deb
 55c722594b65ed61ad9eaf23f1fa678d07d036b84e000a3636d4ac527a7e9598 548690 r-mathlib_2.11.0~20100402-1_i386.deb
 0b98d63037408527c90c8ff55c7f7654178ecab02a650d51f25fe1caa8ea8de2 2415648 r-base-core-dbg_2.11.0~20100402-1_i386.deb
 b995e9cb22a88531cfe5dfbc509c69bbf550b75a2147c9504c44c069df8d20c0 33522 r-base_2.11.0~20100402-1_all.deb
 90eb43b2f0dfe0c03c23c0b6237151eef6c7000e07169f8f631b2f27707a3ef0 3504 r-base-dev_2.11.0~20100402-1_all.deb
 d79562e4d42cac6289027a5a08bb71586ddb2b0ef3a3e7844e43f1970463ba90 82550 r-base-html_2.11.0~20100402-1_all.deb
 955c218f9f749384f30c26091283f38c4911816d8541035ce14df9e14589371f 7749426 r-doc-pdf_2.11.0~20100402-1_all.deb
 9a8e619be8998cd68bbc818346209acef581089c56f39bbe37bc403919f4318d 581140 r-doc-html_2.11.0~20100402-1_all.deb
 1c495c6a2dcb2d82ecb3bad4a014ca0bd1e1862f712ddd5e84ccf92b478e9b0b 498458 r-doc-info_2.11.0~20100402-1_all.deb
 6797a3fd4847a25a87a6f57bf01f24cfbdf56d8eed1b248fea51e1131df9257c 2670 r-recommended_2.11.0~20100402-1_all.deb
Files: 
 35bf06162e935caf2dc7e418fc16cf3c 1788 gnu-r optional r-base_2.11.0~20100402-1.dsc
 abb671ce6acadbd63ff4371051e80ab8 19753077 gnu-r optional r-base_2.11.0~20100402.orig.tar.gz
 55dd0d123b2a326608b379e36483dfae 68090 gnu-r optional r-base_2.11.0~20100402-1.diff.gz
 c18f9e63fcd775233aa018d98b2ab66a 13588050 gnu-r optional r-base-core_2.11.0~20100402-1_i386.deb
 f367f229cbf40d712ca1608cfebdf824 548690 gnu-r optional r-mathlib_2.11.0~20100402-1_i386.deb
 460a305a3cc87e03a17b3407b75b68e0 2415648 debug extra r-base-core-dbg_2.11.0~20100402-1_i386.deb
 579a8c550aa3121c3174c93e89c665c7 33522 gnu-r optional r-base_2.11.0~20100402-1_all.deb
 26d29a83bb4ed62fa7110ebe35998850 3504 gnu-r optional r-base-dev_2.11.0~20100402-1_all.deb
 0a2ce9d76428fb009d271db38796a062 82550 doc extra r-base-html_2.11.0~20100402-1_all.deb
 4cee5e671ebf06a492356ce8ed05710b 7749426 doc optional r-doc-pdf_2.11.0~20100402-1_all.deb
 66418521b7d12b9c6eff6b9214736f78 581140 doc optional r-doc-html_2.11.0~20100402-1_all.deb
 c45da35f5ef9bf3e5a6dfce8175c2dad 498458 doc optional r-doc-info_2.11.0~20100402-1_all.deb
 b987a8120c51e15cf577a858aa7e8739 2670 gnu-r optional r-recommended_2.11.0~20100402-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLt2Y8CZSR95Gw07cRAremAKCKmj0TdBPAPQtdWizQI6k/E3OTvwCfaoH/
rsqWhEGnnRkzMrImUdf2de4=
=kpsO
-----END PGP SIGNATURE-----





Removed tag(s) squeeze. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sun, 19 Jan 2014 02:03:57 GMT) Full text and rfc822 format available.

Bug reassigned from package 'python-rpy2' to 'r-base'. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sun, 19 Jan 2014 02:03:58 GMT) Full text and rfc822 format available.

No longer marked as found in versions rpy2/2.1.0~20100314-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sun, 19 Jan 2014 02:03:59 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions r-base/2.11.0~20100402-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sun, 19 Jan 2014 02:03:59 GMT) Full text and rfc822 format available.

Marked as fixed in versions r-base/2.11.0~20100402-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sun, 19 Jan 2014 02:04:00 GMT) Full text and rfc822 format available.

Added indication that 575913 affects python-rpy2 Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sun, 19 Jan 2014 02:04:00 GMT) Full text and rfc822 format available.

Marked as found in versions rpy2/2.1.0~20100314-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sun, 19 Jan 2014 02:04:01 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Feb 2014 07:29:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:08:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.